# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Fri Sep 29 14:07:28 2023
# ------------------------------------------------

package:
  name: libdeflate
  version: '1.17'
source:
  sha256: fa4615af671513fa2a53dc2e7a89ff502792e2bdfc046869ef35160fcc373763
  url: https://github.com/ebiggers/libdeflate/archive/v1.17.tar.gz
build:
  number: '1'
  run_exports:
    - libdeflate >=1.17,<1.18.0a0
  string: h5eee18b_1
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - bzip2 1.0.8 h7b6447c_0
    - c-ares 1.19.1 h5eee18b_0
    - ca-certificates 2023.08.22 h06a4308_0
    - cmake 3.26.4 h96355d8_0
    - expat 2.5.0 h6a678d5_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - krb5 1.20.1 h143b758_1
    - ld_impl_linux-64 2.38 h1181459_1
    - libcurl 8.2.1 h251f7ec_0
    - libedit 3.1.20221030 h5eee18b_0
    - libev 4.33 h7f8727e_1
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libnghttp2 1.52.0 h2d74bed_1
    - libssh2 1.10.0 hdbd6064_2
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuv 1.44.2 h5eee18b_0
    - lz4-c 1.9.4 h6a678d5_0
    - make 4.2.1 h1bed415_1
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.11 h7f8727e_2
    - rhash 1.4.3 hdbd6064_0
    - sysroot_linux-64 2.17 h57e8cba_10
    - xz 5.4.2 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
    - zstd 1.5.5 hc292b87_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
  run:
    - libgcc-ng >=11.2.0
test:
  commands:
    - test ! -f ${PREFIX}/lib/libdeflate.a
    - test -f ${PREFIX}/lib/libdeflate${SHLIB_EXT}
    - test -f ${PREFIX}/include/libdeflate.h
    - libdeflate-gzip -h
    - libdeflate-gunzip -h
about:
  description: 'libdeflate is heavily optimized. It is significantly faster than the
    zlib

    library, both for compression and decompression, and especially on x86

    processors. In addition, libdeflate provides optional high compression

    modes that provide a better compression ratio than the zlib''s "level 9".

    '
  dev_url: https://github.com/ebiggers/libdeflate
  doc_url: https://github.com/ebiggers/libdeflate/blob/master/README.md
  home: https://github.com/ebiggers/libdeflate
  license: MIT
  license_family: MIT
  license_file: COPYING
  summary: libdeflate is a library for fast, whole-buffer DEFLATE-based compression
    and decompression.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: ee86c19a-4cef-4172-9806-c717bb9da3c0
  recipe-maintainers:
    - dpryan79
    - hmaarrfk
    - rhpvorderman
  remote_url: git@github.com:AnacondaRecipes/libdeflate-feedstock.git
  sha: 4338f0bfe70a16820148448072ed476e934f614c
